# VectorNav C++ Library: vn::sensors::VpeMagnetometerAdvancedTuningRegister Struct Reference

vn::sensors::VpeMagnetometerAdvancedTuningRegister Struct Reference
Register Structures

Structure representing the VPE Magnetometer Advanced Tuning register. More...

`#include <registers.h>`

## Public Member Functions

| VpeMagnetometerAdvancedTuningRegister (vn::math::vec3f minFilteringIn, vn::math::vec3f maxFilteringIn, float maxAdaptRateIn, float disturbanceWindowIn, float maxTuningIn)
| Creates an initializes a new VpeMagnetometerAdvancedTuningRegister structure. More...

## Public Attributes

vn::math::vec3f | minFiltering
| The minFiltering field.
vn::math::vec3f | maxFiltering
| The maxFiltering field.
float | maxAdaptRate
| The maxAdaptRate field.
float | disturbanceWindow
| The disturbanceWindow field.
float | maxTuning
| The maxTuning field.

## Detailed Description

Structure representing the VPE Magnetometer Advanced Tuning register.

## Constructor & Destructor Documentation

vn::sensors::VpeMagnetometerAdvancedTuningRegister::VpeMagnetometerAdvancedTuningRegister | ( | vn::math::vec3f | minFilteringIn,
|  | vn::math::vec3f | maxFilteringIn,
|  | float | maxAdaptRateIn,
|  | float | disturbanceWindowIn,
|  | float | maxTuningIn
| ) |  |

inline

Creates an initializes a new VpeMagnetometerAdvancedTuningRegister structure.

Parameters

  [in] | minFilteringIn | Value to initialize the minFiltering field with.
  [in] | maxFilteringIn | Value to initialize the maxFiltering field with.
  [in] | maxAdaptRateIn | Value to initialize the maxAdaptRate field with.
  [in] | disturbanceWindowIn | Value to initialize the disturbanceWindow field with.
  [in] | maxTuningIn | Value to initialize the maxTuning field with.

The documentation for this struct was generated from the following file:

- include/vn/registers.h